<style media="screen" type="text/css">
    /*@#page-include#(commonMine.css)*/
</style>
<p id="introText">
    Sada ćemo pogledati i dvije implementacije brojila pomoću posmačnih registara.

</p>


<div class="basicText">
    <p>
        Na ovoj stranici upoznat ćemo se s brojilima izvedenim pomoću posmačnih registara. Ova brojila izveli smo pomoću
        bistabila SR. Pa krenimo.
    </p>
</div>

<div class="header">
    Prstenasto brojilo
</div>

<p class="basicText">
    Prstenasto brojilo (engl. <i>ring counter</i>) je brojilo izvedeno pomoću posmačnog registra kojem je najdesniji
    izlaz \(Q_{n - 1}\) doveden na ulaz S prvog bistabila, a izlaz \(Q_{n - 1}\) doveden na ulaz R prvog bistabila.
    Duljina ciklusa ovog brojila je <i>n</i>, gdje je <i>n</i> broj bistabila.
    Konceptualno se radi o posmačnom registru koji rotira zapisani podatak (<i>n</i> bistabila D gdje posljednji
    <i>bit</i> dovodimo na ulaz \(S_{in}\)). U nastavku je prikazana izvedba ovog brojila pomoću bistabila SR.
    S pretpostavkom da je brojilo u stanju <code>1000</code> isprobajte ovu simulaciju tako da generirate ciklus ovog
    brojila. Brojilo će podatak koji je inicijalno bio zapamćen posmicati u krug (otuda i naziv) i generirati sljedeći
    ciklus: <code>1000 -> 0001 -> 0010 -> 0100 -> 1000 -> 0001 ...</code>.
</p>

<hr>

<div align="center">
    <canvas id="ringCounter" width="900" height="500"></canvas>
</div>
<hr>


<div class="header">
    Johnsonovo brojilo
</div>

<p class="basicText">
    Johnsonovo brojilo ili brojilo s ukrštenim prstenom (engl. <i>twisted ring counter</i>) je brojilo izvedeno pomoću
    posmačnog registra kojem je najdesniji izlaz \(Q_{n - 1}\) doveden na ulaz R prvog bistabila a izlaz
    \(\overline{Q}_{n - 1}\) na ulaz S prvog bistabila. Duljina ciklusa ovog brojila je <i>\(2 \cdot n\)</i>, gdje je
    <i>n</i> broj bistabila. Konceptualno se radi o posmačnom registru koji rotira komplement zapisanog podatka
    (<i>n</i> bistabila D gdje se komplement posljednjeg bita vodi na Sin). U nastavku je prikazano ostvarenje bistabila
    D SR-bistabilima pa sklop tako izgleda. Invertor nam neće trebati jer komplement dobijemo tako da \(\overline{Q}\)
    vodimo na S a \(Q\) na R prvog bistabila.
</p>

<p class="basicText">
    Isprobajte sljedeću simulaciju. Ustanovite u kojem ciklusu brojilo broji (za broj bitova: 2, 4 i 6). Jesu li ova
    brojila sinkrona ili asinkrona?
</p>

<hr>
<div align="center">
    <canvas id="johnCounter" width="900" height="500"></canvas>
</div>
<hr>

<p id="outroText">Čestitam! Prošli ste kroz sve simulacije i zadatke. Sretno s daljnjim učenjem digitalne logike.</p>

<script>
    /*@#page-include#(library.js)*/
    /*@#page-include#(ringCounter.js)*/
    /*@#page-include#(johnsonCounter.js)*/
</script>